#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			sname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	evolution-data-server
Version		:	3.54.2
Release		:	17.2.0.rel%{?dist}
Summary		:	A unified backend for programs that work with contacts, tasks, and calendar information.

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/evolution-data-server

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
Buildrequires	:	cmake
Buildrequires	:	cairo-devel
Buildrequires	:	gcr
Buildrequires	:	gnome-online-accounts-devel
Buildrequires	:	gobject-introspection
Buildrequires	:	gtk-devel
Buildrequires	:	json-glib
Buildrequires	:	libdb-devel
Buildrequires	:	libcanberra
Buildrequires	:	libgdata
Buildrequires	:	libical
Buildrequires	:	libsecret
Buildrequires	:	libsoup
Buildrequires	:	nss
Buildrequires	:	nspr
Buildrequires	:	nullmailer
Buildrequires	:	sqlite
Buildrequires	:	vala
Buildrequires	:	webkit2gtk4.1-devel
Buildrequires	:	webkitgtk-devel

Requires(post)	:	%{_bindir}/glib-compile-schemas
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' package provides a unified backend for
programs that work with contacts, tasks, and calendar information.

It was originally developed for Evolution (hence the name), but is now
used by other packages.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/org.gnome.Evolution-alarm-notify.desktop
%{_libexecdir}/camel-*
%{_libexecdir}/%{sname}-*
%{_libdir}/%{name}/camel-providers/libcamel*.urls
%{_libdir}/%{name}/*/*.so*
%{_libdir}/%{name}/libedbus-private.so
%{_libdir}/libcamel-1.2.so.64*
%{_libdir}/libebackend-1.2.so.11*
%{_libdir}/libebook-1.2.so.21*
%{_libdir}/libebook-contacts-1.2.so.4*
%{_libdir}/libecal-2.0.so.3*
%{_libdir}/libedataserver-1.2.so.27*
%{_libdir}/libedataserverui-1.2.so.4*
%{_libdir}/libedataserverui4-1.0.so.0*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/applications/org.gnome.Evolution-alarm-notify.desktop
%{_datadir}/applications/org.gnome.evolution-data-server.OAuth2-handler.desktop
%{_datadir}/dbus-1/services/org.gnome.%{sname}.dataserver.*.service
%{_datadir}/glib-2.0/schemas/org.gnome.Evolution.DefaultSources.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution*.xml
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/%{name}/icons/hicolor/*/status/*.png
%{_datadir}/%{name}/evolutionperson.schema
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Evolution-alarm-notify.svg

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1


#=============================================================================
%package		devel
Summary		:	Development files for building against %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
Development files needed for building things which link against %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/camel/camel*.h
%{_includedir}/%{name}/libedata-book/*.h
%{_includedir}/%{name}/libedata-cal/*.h
%{_includedir}/%{name}/libebackend/*.h
%{_includedir}/%{name}/libebook/*.h
%{_includedir}/%{name}/libebook-contacts/*.h
%{_includedir}/%{name}/libedataserver/*.h
%{_includedir}/%{name}/libedataserverui/*.h
%{_includedir}/%{name}/libedataserverui4/*.h
%{_includedir}/%{name}/libecal/*.h
%{_libdir}/libcamel-1.2.so
%{_libdir}/libebackend-1.2.so
%{_libdir}/libebook-1.2.so
%{_libdir}/libebook-contacts-1.2.so
%{_libdir}/libecal-2.0.so
%{_libdir}/libedata-book-1.2.so
%{_libdir}/libedata-book-1.2.so.27
%{_libdir}/libedata-book-1.2.so.27.0.0
%{_libdir}/libedata-cal-2.0.so
%{_libdir}/libedata-cal-2.0.so.2
%{_libdir}/libedata-cal-2.0.so.2.0.0
%{_libdir}/libedataserver-1.2.so
%{_libdir}/libedataserverui-1.2.so
%{_libdir}/libedataserverui4-1.0.so
%{_libdir}/pkgconfig/camel-*.pc
%{_libdir}/pkgconfig/%{name}-*.pc
%{_libdir}/pkgconfig/lib*.pc
%{_datadir}/gir-1.0/Camel-1.2.gir
%{_datadir}/gir-1.0/EBackend-1.2.gir
%{_datadir}/gir-1.0/EBook-1.2.gir
%{_datadir}/gir-1.0/EBookContacts-1.2.gir
%{_datadir}/gir-1.0/ECal-2.0.gir
%{_datadir}/gir-1.0/EDataBook-1.2.gir
%{_datadir}/gir-1.0/EDataCal-2.0.gir
%{_datadir}/gir-1.0/EDataServer-1.2.gir
%{_datadir}/gir-1.0/EDataServerUI-1.2.gir
%{_datadir}/gir-1.0/EDataServerUI4-1.0.gir
%{_datadir}/vala/vapi/camel-1.2.{deps,vapi}
%{_datadir}/vala/vapi/libe*-1.2.{deps,vapi}
%{_datadir}/vala/vapi/libe*-2.0.{deps,vapi}
%{_datadir}/vala/vapi/libe*4-1.0.{deps,vapi}

#=============================================================================
%package		tests
Summary		:	 Tests for the %{name} package
	
#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tests
The %{name}-tests package contains tests that can be
used to verify the functionality of the installed
%{name} package.


#-----------------------------------------------------------------------------
%files			tests
%defattr(-,root,root,-)
%{_libdir}/libetestserverutils.so
%{_libdir}/libetestserverutils.so.0
%{_libdir}/libetestserverutils.so.0.0.0
%{_datadir}/installed-tests/%{name}/*.test

#=============================================================================
%prep
%setup -q

sed -i								\
  -e'/pkg_check_modules/s/icu-i18n/& icu-uc/'			\
  CMakeLists.txt

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-S .							\
	-B _bld							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D SYSCONF_INSTALL_DIR=%{_sysconfdir}			\
	-D LIB_INSTALL_DIR=%{_libdir}				\
	-D ENABLE_INTROSPECTION=ON				\
	-D ENABLE_VALA_BINDINGS=ON    				\
	-D WITH_OPENLDAP=ON					\
	-D WITH_KRB5=OFF					\
	-D ENABLE_EXAMPLES=OFF					\
	-D ENABLE_GTK4=ON					\
	-D ENABLE_GTK=ON					\
	-D ENABLE_GTK_DOC=OFF					\
	-D ENABLE_INSTALLED_TESTS=ON				\
	-D ENABLE_GOA=ON					\
	-D ENABLE_WEATHER=OFF					\
	-D WITH_SYSTEMDUSERUNITDIR=NO 				\

cmake								\
	--build _bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C _bld							\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
